Mailinglist Archive: opensuse-buildservice (220 mails)

< Previous Next >
Re: [opensuse-buildservice] OBS2.3 arm cross-build missing "copying qemu" step
  • From: Adrian Schröter <adrian@xxxxxxx>
  • Date: Wed, 23 May 2012 23:47:02 +0200
  • Message-id: <13390135.49vNT6eIDi@scherben>
Am Mittwoch, 23. Mai 2012, 21:41:08 schrieb Rick Liu:
Hi,

I just did OBS upgrade on my private installation from OBS2.1 to OBS2.3.
Back in OBS2.1,
I could successfully build armv7el on x86_64 hosts.
After upgrade to OBS2.1,
all cross builds become failure with messages:

you could install an older build package, but it is actually recommended
that you install your qemu package in Preinstall section instead.

The reason behind this is that qemu has influence to the build result.
That means all workers would have the same qemu package, you would need
to update all workers at the same time and it would not be possible
to maintain an old stable qemu for old projects and a newer one
for new projects.

The release notes contain some comments about this IIRC.

--
Adrian Schroeter
SUSE Linux Products GmbH
email: adrian@xxxxxxx

--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups